| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
FieldFilterEdit Class Reference
Inheritance diagram for FieldFilterEdit:

## Public Slots
bool | checkFilter ()
Public Slots inherited from SyntaxLineEdit
void | setStyleSheet (const QString &style_sheet)
void | insertFilter (const QString &filter)
bool | checkDisplayFilter (QString filter)
void | checkFieldName (QString field)
void | checkCustomColumn (QString fields)
void | checkInteger (QString number)

## Signals
void | pushFilterSyntaxStatus (const QString &)
void | popFilterSyntaxStatus ()
void | pushFilterSyntaxWarning (const QString &)

## Public Member Functions
| FieldFilterEdit (QWidget *parent=0)
Public Member Functions inherited from SyntaxLineEdit
| SyntaxLineEdit (QWidget *parent=0)
SyntaxState | syntaxState () const
void | setSyntaxState (SyntaxState state=Empty)
QString | syntaxErrorMessage ()
QString | syntaxErrorMessageFull ()
QString | styleSheet () const
QString | deprecatedToken ()
void | setCompleter (QCompleter *c)
QCompleter * | completer () const
void | allowCompletion (bool enabled)

## Protected Member Functions
void | keyPressEvent (QKeyEvent *event)
void | focusInEvent (QFocusEvent *event)
void | focusOutEvent (QFocusEvent *event)
Protected Member Functions inherited from SyntaxLineEdit
void | setCompletionTokenChars (const QString &token_chars)
bool | isComplexFilter (const QString &filter)
QPoint | getTokenUnderCursor ()
QStringList | splitLineUnderCursor ()
virtual bool | event (QEvent *event)
void | completionKeyPressEvent (QKeyEvent *event)
void | completionFocusInEvent (QFocusEvent *event)
virtual void | paintEvent (QPaintEvent *event)

## Additional Inherited Members
Public Types inherited from SyntaxLineEdit
enum | SyntaxState { Empty , Busy , Invalid , Deprecated , Valid }
Static Public Member Functions inherited from SyntaxLineEdit
static QString | createSyntaxErrorMessageFull (const QString &filter, const QString &err_msg, qsizetype loc_start, size_t loc_length)
Protected Attributes inherited from SyntaxLineEdit
QCompleter * | completer_
QStringListModel * | completion_model_
Properties inherited from SyntaxLineEdit
SyntaxState | syntaxState

## Member Function Documentation

## ◆ focusOutEvent()

void FieldFilterEdit::focusOutEvent | ( | QFocusEvent * | event | ) |
| protectedvirtual

Reimplemented from SyntaxLineEdit.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/widgets/field_filter_edit.h
- /builds/wireshark/wireshark/ui/qt/widgets/field_filter_edit.cpp